'use strict';

/* @flow weak */

module.exports = function (context, opts) {
  var options = Object.assign({
    loose: true,
    targets: {
      browsers: ['last 2 versions']
    }
  }, opts, { modules: process.env.JS_NEXT ? false : 'commonjs' });
  var presets = [require.resolve('babel-preset-react'), [require.resolve('babel-preset-env'), options]];

  var devPlugins = [
  // Adds component stack to warning messages
  require.resolve('babel-plugin-transform-react-jsx-source'),
  // Adds __self attribute to JSX which React will use for some warnings
  require.resolve('babel-plugin-transform-react-jsx-self')];

  var env = process.env.BABEL_ENV || process.env.NODE_ENV;

  var plugins = env === 'development' ? [].concat(devPlugins, [require.resolve('react-hot-loader/babel')]) : [];

  return {
    presets: presets,
    plugins: plugins
  };
};